﻿<%@ control language="vb" inherits="YourCompany.Modules.ThingsForSale.ViewThingsForSale, App_Web_viewthingsforsale.ascx.263551c" autoeventwireup="false" explicit="True" %>
<%@ Register Assembly="DotNetNuke.WebUtility" Namespace="DotNetNuke.UI.Utilities"
    TagPrefix="cc1" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
<br />
<asp:ObjectDataSource ID="ObjectDataSource_ThingsForSale" runat="server" DataObjectTypeName="YourCompany.Modules.ThingsForSale.ThingsForSaleInfo"
DeleteMethod="ThingsForSale_Delete" InsertMethod="ThingsForSale_Insert" OldValuesParameterFormatString="original_{0}"
OnInit="Page_Load" SelectMethod="ThingsForSale_SelectAll" TypeName="YourCompany.Modules.ThingsForSale.ThingsForSaleController"
UpdateMethod="ThingsForSale_Update">
<SelectParameters>
<asp:Parameter DefaultValue="00" Name="ModuleId" Type="Int32" />
</SelectParameters>
</asp:ObjectDataSource>
<asp:GridView ID="GridView1" runat="server" AllowPaging="True" AutoGenerateColumns="False"
    DataSourceID="ObjectDataSource_ThingsForSale" DataKeyNames="ID,UserID,ModuleId" CellPadding="4" CellSpacing="1" EnableViewState="False">
    <Columns>
        <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
        <asp:BoundField DataField="UserID" HeaderText="UserID" SortExpression="UserID" Visible="False" />
        <asp:BoundField DataField="ModuleId" HeaderText="ModuleId" SortExpression="ModuleId" Visible="False" />
        <asp:BoundField DataField="ID" HeaderText="ID" SortExpression="ID" Visible="False" />
        <asp:BoundField DataField="Category" HeaderText="Category" SortExpression="Category" />
        <asp:BoundField DataField="Price" HeaderText="Price" SortExpression="Price" DataFormatString="{0:c}" HtmlEncode="False" />
        <asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description" />
    </Columns>
    <EmptyDataTemplate>
        There are no Things 4 Sale
    </EmptyDataTemplate>
</asp:GridView>
<br />
<asp:LinkButton ID="Add_My_Listing_LinkButton" runat="server" EnableViewState="False">Add My Listing</asp:LinkButton><br />
<br />
<asp:FormView ID="FormView1" runat="server" DataKeyNames="ID" DataSourceID="ObjectDataSource_ThingsForSale"
    DefaultMode="Insert" BorderColor="DarkGray" BorderStyle="Solid" BorderWidth="1px" CellPadding="4" Visible="False">
    <EditItemTemplate>
    </EditItemTemplate>
    <InsertItemTemplate>
        Category:&nbsp;<asp:DropDownList ID="DropDownList1" runat="server" DataSource='<%# Eval("Category") %>'
            SelectedValue='<%# Bind("Category") %>' EnableViewState="False">
            <asp:ListItem>Home</asp:ListItem>
            <asp:ListItem>Office</asp:ListItem>
            <asp:ListItem>Electronics</asp:ListItem>
            <asp:ListItem>Misc.</asp:ListItem>
        </asp:DropDownList>&nbsp;
        Price: $
        <asp:TextBox ID="PriceTextBox" runat="server" Text='<%# Bind("Price") %>' Width="56px" CausesValidation="True" EnableViewState="False"></asp:TextBox><br />
        <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="PriceTextBox"
            ErrorMessage="Price must be greater than 0" MaximumValue="99999" MinimumValue="1"></asp:RangeValidator>
        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="PriceTextBox"
            ErrorMessage="A price is required"></asp:RequiredFieldValidator><br />
        Description:<br />
        <asp:TextBox ID="DescriptionTextBox" runat="server" Text='<%# Bind("Description") %>' MaxLength="499" TextMode="MultiLine" Width="286px" EnableViewState="False"></asp:TextBox><br />
        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
            Text="Insert" OnClick="InsertButton_Click"></asp:LinkButton>
        <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
            Text="Cancel" OnClick="InsertCancelButton_Click"></asp:LinkButton>
        <asp:TextBox ID="ModuleIdTextBox" runat="server" Text='<%# Bind("ModuleId") %>' Width="14px" Visible="False"></asp:TextBox>
        <asp:TextBox ID="IDTextBox" runat="server" Text='<%# Bind("ID") %>' Width="13px" Visible="False"></asp:TextBox>
        <asp:TextBox ID="UserIDTextBox" runat="server" Text='<%# Bind("UserID") %>'
            Width="10px" Visible="False"></asp:TextBox>
    </InsertItemTemplate>
    <ItemTemplate>
    </ItemTemplate>
</asp:FormView>

